from sqlalchemy import URL
from sqlalchemy.ext.asyncio import async_sessionmaker, create_async_engine

from foxnouns.settings import DATABASE, ECHO_SQL

ASYNC_DATABASE_URL = URL.create(
    "postgresql+asyncpg",
    username=DATABASE["USER"],
    password=DATABASE["PASSWORD"],
    host=DATABASE["HOST"],
    database=DATABASE["NAME"],
)

engine = create_async_engine(ASYNC_DATABASE_URL, echo=ECHO_SQL)
async_session = async_sessionmaker(engine, expire_on_commit=False)
